bitlogic
Drivers

Bitwise logic functions for dio interface. More...

Bitwise logic functions for dio interface.

Provides

- dio

Requires

- dio (optionally)
  - If set, results are sent as commands

Configuration requests

- None

Configuration file options

- function (string)
  - Default: "NONE"
  - One of: "and", "or", "xor", "nand", "nor", "nxor" (case sensitive)
- slots
  - Default: 1
  - Number of slots (greater than 0)
- init_bits (string)
  - Default: "00000000000000000000000000000000"
  - Initial bits for each slot, last character is the lowest bit (length greater than 0, max. 32 characters)
- wait_for_all (integer)
  - Default: 1
  - If set to 1, this driver waits for data from all slots before issuing a command to subscribed dio interface

Example

    driver
    (
      name "bitlogic"
      function "and"
      slots 2
      provides ["0:::dio:0" "1:::dio:1"]
      init_bits "101"
    )

Author
  Paul Osmialowski

Last updated 12 September 2005 21:38:45